NX Open C++ Reference Guide
|
Represents a Bridge Transition builder
To create a new instance of this class, use Features::SheetMetal::SheetmetalManager::CreateBridgeTransitionBuilder
Created in NX5.0.2.
More...
Public Types | |
enum | InsetOptions { InsetOptionsMaterialInside, InsetOptionsMaterialOutside } |
Enum representing the side of the Bridge Transition material with respect to the specified tangent plane. More... | |
enum | TypeOptions { TypeOptionsZu, TypeOptionsFold } |
Enum representing types for Bridge Transition feature. More... | |
enum | WidthDirectionOptions { WidthDirectionOptionsLeft, WidthDirectionOptionsRight } |
Enum representing the width direction for the Bridge Transition. More... | |
enum | WidthOptions { WidthOptionsFinite, WidthOptionsSymmetric, WidthOptionsFullStartEdge, WidthOptionsFullEndEdge, WidthOptionsFullBothEdges } |
Enum representing width option types for Bridge Transition feature. More... | |
Public Member Functions | |
NXOpen::SelectEdge * | EndEdge () |
Returns the end edge Created in NX5.0.2. | |
NXOpen::Expression * | EndRadius () |
Returns the inner bend radius of bend region near end edge. | |
NXOpen::Features::SheetMetal::BridgeTransitionBuilder::InsetOptions | InsetType () |
Returns the inset type Created in NX5.0.2. | |
NXOpen::Expression * | Length () |
Returns the length of the planar region near start edge. | |
NXOpen::SelectISurface * | Plane () |
Returns the tangential plane Created in NX5.0.2. | |
NXOpen::Point * | Point () |
Returns the point with respect to which the finite or symmetric width is specified. | |
void | SetInsetType (NXOpen::Features::SheetMetal::BridgeTransitionBuilder::InsetOptions insetType) |
Sets the inset type Created in NX5.0.2. | |
void | SetPoint (NXOpen::Point *point) |
Sets the point with respect to which the finite or symmetric width is specified. | |
void | SetType (NXOpen::Features::SheetMetal::BridgeTransitionBuilder::TypeOptions type) |
Sets the transition type Created in NX5.0.2. | |
void | SetWidthDirection (NXOpen::Features::SheetMetal::BridgeTransitionBuilder::WidthDirectionOptions widthDirection) |
Sets the width direction. | |
void | SetWidthType (NXOpen::Features::SheetMetal::BridgeTransitionBuilder::WidthOptions widthType) |
Sets the width type Created in NX5.0.2. | |
NXOpen::SelectEdge * | StartEdge () |
Returns the start edge Created in NX5.0.2. | |
NXOpen::Expression * | StartRadius () |
Returns the inner bend radius of the bend region near start edge. | |
NXOpen::Features::SheetMetal::BridgeTransitionBuilder::TypeOptions | Type () |
Returns the transition type Created in NX5.0.2. | |
NXOpen::Expression * | Width () |
Returns the width Created in NX5.0.2. | |
NXOpen::Features::SheetMetal::BridgeTransitionBuilder::WidthDirectionOptions | WidthDirection () |
Returns the width direction. | |
NXOpen::Features::SheetMetal::BridgeTransitionBuilder::WidthOptions | WidthType () |
Returns the width type Created in NX5.0.2. | |
![]() | |
NXOpen::Features::SheetMetal::ApplicationContext | GetApplicationContext () |
Get the application context. | |
void | SetApplicationContext (NXOpen::Features::SheetMetal::ApplicationContext appContext) |
Set the application context. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Bridge Transition builder
To create a new instance of this class, use Features::SheetMetal::SheetmetalManager::CreateBridgeTransitionBuilder
Created in NX5.0.2.
Enum representing the side of the Bridge Transition material with respect to the specified tangent plane.
If it is Features::SheetMetal::BridgeTransitionBuilder::InsetOptionsMaterialInside then the transtion and start edge flow will be on the same logical side of the plane. If they are on opposite sides then use Features::SheetMetal::BridgeTransitionBuilder::InsetOptionsMaterialOutside .
Enum representing the width direction for the Bridge Transition.
This enum applies only when the width type is Features::SheetMetal::BridgeTransitionBuilder::WidthOptionsFinite . The Features::SheetMetal::BridgeTransitionBuilder::WidthDirectionOptionsRight option indicates that the width is in the counter clockwise direction of flow of the start edge in the non-thickness face adjacent to it. The Features::SheetMetal::BridgeTransitionBuilder::WidthDirectionOptionsLeft option indicates the width is in the opposite direction.
Enum representing width option types for Bridge Transition feature.
NXOpen::SelectEdge* NXOpen::Features::SheetMetal::BridgeTransitionBuilder::EndEdge | ( | ) |
Returns the end edge
Created in NX5.0.2.
License requirements : nx_flexible_pcb ("NX Flexible PCB") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
NXOpen::Expression* NXOpen::Features::SheetMetal::BridgeTransitionBuilder::EndRadius | ( | ) |
Returns the inner bend radius of bend region near end edge.
End radius required to be specified for @link Features::SheetMetal::BridgeTransitionBuilder::TypeOptionsZu Features::SheetMetal::BridgeTransitionBuilder::TypeOptionsZu@endlink .
Created in NX5.0.2.
License requirements : nx_flexible_pcb ("NX Flexible PCB") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
NXOpen::Features::SheetMetal::BridgeTransitionBuilder::InsetOptions NXOpen::Features::SheetMetal::BridgeTransitionBuilder::InsetType | ( | ) |
Returns the inset type
Created in NX5.0.2.
License requirements : nx_flexible_pcb ("NX Flexible PCB") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
NXOpen::Expression* NXOpen::Features::SheetMetal::BridgeTransitionBuilder::Length | ( | ) |
Returns the length of the planar region near start edge.
Length is required to be specified for @link Features::SheetMetal::BridgeTransitionBuilder::TypeOptionsFold Features::SheetMetal::BridgeTransitionBuilder::TypeOptionsFold@endlink .
Created in NX5.0.2.
License requirements : nx_flexible_pcb ("NX Flexible PCB") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
NXOpen::SelectISurface* NXOpen::Features::SheetMetal::BridgeTransitionBuilder::Plane | ( | ) |
Returns the tangential plane
Created in NX5.0.2.
License requirements : nx_flexible_pcb ("NX Flexible PCB") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
NXOpen::Point* NXOpen::Features::SheetMetal::BridgeTransitionBuilder::Point | ( | ) |
Returns the point with respect to which the finite or symmetric width is specified.
Created in NX5.0.2.
License requirements : nx_flexible_pcb ("NX Flexible PCB") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
void NXOpen::Features::SheetMetal::BridgeTransitionBuilder::SetInsetType | ( | NXOpen::Features::SheetMetal::BridgeTransitionBuilder::InsetOptions | insetType | ) |
Sets the inset type
Created in NX5.0.2.
License requirements : nx_flexible_pcb ("NX Flexible PCB") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
insetType | insettype |
void NXOpen::Features::SheetMetal::BridgeTransitionBuilder::SetPoint | ( | NXOpen::Point * | point | ) |
Sets the point with respect to which the finite or symmetric width is specified.
Created in NX5.0.2.
License requirements : nx_flexible_pcb ("NX Flexible PCB") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
point | point |
void NXOpen::Features::SheetMetal::BridgeTransitionBuilder::SetType | ( | NXOpen::Features::SheetMetal::BridgeTransitionBuilder::TypeOptions | type | ) |
Sets the transition type
Created in NX5.0.2.
License requirements : nx_flexible_pcb ("NX Flexible PCB") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
type | type |
void NXOpen::Features::SheetMetal::BridgeTransitionBuilder::SetWidthDirection | ( | NXOpen::Features::SheetMetal::BridgeTransitionBuilder::WidthDirectionOptions | widthDirection | ) |
Sets the width direction.
Only applies if the width type is Features::SheetMetal::BridgeTransitionBuilder::WidthOptionsFinite
Created in NX5.0.2.
License requirements : nx_flexible_pcb ("NX Flexible PCB") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
widthDirection | widthdirection |
void NXOpen::Features::SheetMetal::BridgeTransitionBuilder::SetWidthType | ( | NXOpen::Features::SheetMetal::BridgeTransitionBuilder::WidthOptions | widthType | ) |
Sets the width type
Created in NX5.0.2.
License requirements : nx_flexible_pcb ("NX Flexible PCB") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
widthType | widthtype |
NXOpen::SelectEdge* NXOpen::Features::SheetMetal::BridgeTransitionBuilder::StartEdge | ( | ) |
Returns the start edge
Created in NX5.0.2.
License requirements : nx_flexible_pcb ("NX Flexible PCB") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
NXOpen::Expression* NXOpen::Features::SheetMetal::BridgeTransitionBuilder::StartRadius | ( | ) |
Returns the inner bend radius of the bend region near start edge.
Start radius required to be specified for @link Features::SheetMetal::BridgeTransitionBuilder::TypeOptionsZu Features::SheetMetal::BridgeTransitionBuilder::TypeOptionsZu@endlink .
Created in NX5.0.2.
License requirements : nx_flexible_pcb ("NX Flexible PCB") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
NXOpen::Features::SheetMetal::BridgeTransitionBuilder::TypeOptions NXOpen::Features::SheetMetal::BridgeTransitionBuilder::Type | ( | ) |
Returns the transition type
Created in NX5.0.2.
License requirements : nx_flexible_pcb ("NX Flexible PCB") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
NXOpen::Expression* NXOpen::Features::SheetMetal::BridgeTransitionBuilder::Width | ( | ) |
Returns the width
Created in NX5.0.2.
License requirements : nx_flexible_pcb ("NX Flexible PCB") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
NXOpen::Features::SheetMetal::BridgeTransitionBuilder::WidthDirectionOptions NXOpen::Features::SheetMetal::BridgeTransitionBuilder::WidthDirection | ( | ) |
Returns the width direction.
Only applies if the width type is Features::SheetMetal::BridgeTransitionBuilder::WidthOptionsFinite
Created in NX5.0.2.
License requirements : nx_flexible_pcb ("NX Flexible PCB") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")
NXOpen::Features::SheetMetal::BridgeTransitionBuilder::WidthOptions NXOpen::Features::SheetMetal::BridgeTransitionBuilder::WidthType | ( | ) |
Returns the width type
Created in NX5.0.2.
License requirements : nx_flexible_pcb ("NX Flexible PCB") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")